Texa DeskDevelopers

Texa Desk Application API · Contact labels

Add Labels

POST/api/v1/accounts/{account_id}/contacts/{id}/labels

Add labels to a contact. Note that this API would overwrite the existing list of labels associated to the conversation.

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idnumberrequired

ID of the contact

Body application/json

labelsarray of stringrequired

Array of labels (comma-separated strings)

Responses

200

Success

payloadarray of string

Array of labels

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Contact not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring